Permalink
Browse files

Use PQescapeLiteral() to detect PostgreSQL 9.0.

Calling PQconnectStartParams(NULL, *, *) results in SIGSEGV.
  • Loading branch information...
1 parent ad1dde6 commit c605b58edacde1a639f9a5dd41536acb5410548b @PiotrSikora PiotrSikora committed Jan 13, 2011
Showing with 1 addition and 1 deletion.
  1. +1 −1 config
View
2 config
@@ -109,7 +109,7 @@ ngx_feature_test="printf(\"%d\", PQlibVersion())"
if [ $ngx_found = no ]; then
lib_version=90000
ngx_feature="libpq library version 9.0"
- ngx_feature_test="(void) PQconnectStartParams(NULL, NULL, 0);
+ ngx_feature_test="(void) PQescapeLiteral(NULL, NULL, 0);
printf(\"$lib_version\")"
. auto/feature
fi

0 comments on commit c605b58

Please sign in to comment.